Table of Contents

Class: logger | ../bkchem/logger.py
--- | ---
provides logging capabilities based on the message types, each type is associated with a string describing how to handle it, it can be one of (`status_bar`,`dialog`,`console`,`ignore`)
Methods |
--- | ---
__init__ log log_to_console log_to_dialog log_to_ignore log_to_status_bar
| __init__
    __init__ ( self )
| log
    log (
            self,
            message,
            message_type="info",
            delay=4,
            )
message_type is one of (info, warning, error, debug, hint), delay means the amount of time for which the text should be visible (for `status-bar` only)
Exceptions |
--- | ---
ValueError, "unknown message type %s" % message_type
| log_to_console
    log_to_console (
            self,
            message,
            message_type="info",
            delay=4,
            )
| log_to_dialog
    log_to_dialog (
            self,
            message,
            message_type="info",
            delay=4,
            )
| log_to_ignore
    log_to_ignore (
            self,
            message,
            message_type="info",
            delay=4,
            )
| log_to_status_bar
    log_to_status_bar (
            self,
            message,
            message_type="info",
            delay=4,
            )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1